Intermittent mochitest-e10s test_peerConnection_basicScreenshare.html | application timed out after 330 seconds with no output | application crashed [@ mozilla::layers::YCbCrImageDataSerializer::CopyData(unsigned char const*, unsigned char const*, ...

NEW
Unassigned

Status

()

Core
WebRTC: Audio/Video
P3
normal
Rank:
21
4 years ago
2 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

(Blocks: 2 bugs, {crash, intermittent-failure})

Trunk
All
Linux
crash, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(e10s+)

Details

(Whiteboard: [test disabled on e10s][leave open])

(Reporter)

Description

4 years ago
Some of these were starred as bug 974213, but I'm assuming this is a regression from bug 1039666. It's frequent enough that we're going to need to consider disabling the tests on e10s if there isn't a fix forthcoming.

https://tbpl.mozilla.org/php/getParsedLog.php?id=45190881&tree=Mozilla-Inbound

Ubuntu VM 12.04 mozilla-inbound debug test mochitest-e10s-3 on 2014-08-04 11:59:50 PDT for push bffb1d563196
slave: tst-linux32-spot-672

12:13:26     INFO -  10544 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | iceConnectionState should not be undefined
12:13:26     INFO -  10545 INFO PeerConnectionWrapper (pcLocal): oniceconnectionstatechange fired, new state is: closed
12:13:26     INFO -  10546 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | PeerConnectionWrapper (pcLocal): legal ICE state transition from connected to closed
12:13:26     INFO -  10547 INFO PeerConnectionWrapper (pcLocal): Closed connection.
12:13:26     INFO -  10548 INFO Closing pcRemote
12:13:26     INFO -  10549 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | iceConnectionState should not be undefined
12:13:26     INFO -  10550 INFO PeerConnectionWrapper (pcRemote): oniceconnectionstatechange fired, new state is: closed
12:13:26     INFO -  10551 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | PeerConnectionWrapper (pcRemote): legal ICE state transition from connected to closed
12:13:26     INFO -  10552 INFO PeerConnectionWrapper (pcRemote): Closed connection.
12:13:26     INFO -  10553 INFO PeerConnectionWrapper (pcLocal): 'onsignalingstatechange' event fired
12:13:26     INFO -  10554 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | PeerConnectionWrapper (pcLocal): legal signaling state transition from stable to closed
12:13:26     INFO -  10555 INFO 'onsignalingstatechange' event 'closed' received
12:13:26     INFO -  10556 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | onsignalingstatechange event is closed
12:13:26     INFO -  10557 INFO still waiting for closure
12:13:26     INFO -  10558 INFO PeerConnectionWrapper (pcRemote): 'onsignalingstatechange' event fired
12:13:26     INFO -  10559 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | PeerConnectionWrapper (pcRemote): legal signaling state transition from stable to closed
12:13:26     INFO -  10560 INFO 'onsignalingstatechange' event 'closed' received
12:13:26     INFO -  10561 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | onsignalingstatechange event is closed
12:13:26     INFO -  10562 INFO No closure pending
12:13:26     INFO -  10563 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | pcLocal is in 'closed' state
12:13:26     INFO -  10564 INFO TEST-PASS | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | pcRemote is in 'closed' state
12:13:26     INFO -  10565 INFO Test finished
12:13:26     INFO -  10566 INFO MEMORY STAT vsize after test: 1053532160
12:13:26     INFO -  10567 INFO MEMORY STAT residentFast after test: 553578496
12:13:26     INFO -  10568 INFO MEMORY STAT heapAllocated after test: 403018268
12:13:26  WARNING -  TEST-UNEXPECTED-TIMEOUT | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | application timed out after 330 seconds with no output
12:13:26     INFO -  Xlib:  extension "RANDR" missing on display ":0".
12:13:27     INFO -  TEST-INFO | screentopng: exit 0
12:13:27     INFO -  TEST-INFO | Main app process: killed by SIGIOT
12:13:27  WARNING -  TEST-UNEXPECTED-FAIL | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | application terminated with exit code 6
12:13:27     INFO -  runtests.py | Application ran for: 0:11:33.646179
12:13:27     INFO -  zombiecheck | Reading PID log: /tmp/tmpwnFmgOpidlog
12:13:27     INFO -  ==> process 1792 launched child process 1833
12:13:27     INFO -  ==> process 1833 launched child process 2141
12:13:27     INFO -  zombiecheck | Checking for orphan process with PID: 1833
12:13:27     INFO -  zombiecheck | Checking for orphan process with PID: 2141
12:13:41  WARNING -  PROCESS-CRASH | /tests/dom/media/tests/mochitest/test_peerConnection_basicScreenshare.html | application crashed [@ mozilla::layers::YCbCrImageDataSerializer::CopyData(unsigned char const*, unsigned char const*, unsigned char const*, mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits>, unsigned int, mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits>, unsigned int, unsigned int, unsigned int)]
12:13:41     INFO -  Crash dump filename: /tmp/tmpzmDWCC.mozrunner/minidumps/1577ddbe-0ef9-b354-63d5f90a-1ce7b42b.dmp
12:13:41     INFO -  Operating system: Linux
12:13:41     INFO -                    0.0.0 Linux 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686
12:13:41     INFO -  CPU: x86
12:13:41     INFO -       GenuineIntel family 6 model 45 stepping 7
12:13:41     INFO -       1 CPU
12:13:41     INFO -  Crash reason:  SIGBUS
12:13:41     INFO -  Crash address: 0xd96c000
12:13:41     INFO -  Thread 12 (crashed)
12:13:41     INFO -   0  libxul.so!mozilla::layers::YCbCrImageDataSerializer::CopyData(unsigned char const*, unsigned char const*, unsigned char const*, mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits>, unsigned int, mozilla::gfx::IntSizeTyped<mozilla::gfx::UnknownUnits>, unsigned int, unsigned int, unsigned int) [YCbCrImageDataSerializer.cpp:bffb1d563196 : 244 + 0x5]
12:13:41     INFO -      eip = 0xb392f7f2   esp = 0xab4fdcc8   ebp = 0xab4fdcf8   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0x91b1efd8   edi = 0x0d96c000   eax = 0x0d96bba8   ecx = 0x000001e8
12:13:41     INFO -      edx = 0xab4fdd44   efl = 0x00210202
12:13:41     INFO -      Found by: given as instruction pointer in context
12:13:41     INFO -   1  libxul.so!mozilla::layers::BufferTextureClient::UpdateYCbCr(mozilla::layers::PlanarYCbCrData const&) [TextureClient.cpp:bffb1d563196 : 758 + 0x28]
12:13:41     INFO -      eip = 0xb3958b28   esp = 0xab4fdd00   ebp = 0xab4fdd68   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0x8a3ae2e0   edi = 0x8aec469c
12:13:41     INFO -      Found by: call frame info
12:13:41     INFO -   2  libxul.so!mozilla::layers::ImageClientSingle::UpdateImageInternal(mozilla::layers::ImageContainer*, unsigned int, bool*) [ImageClient.cpp:bffb1d563196 : 227 + 0x10]
12:13:41     INFO -      eip = 0xb3955351   esp = 0xab4fdd70   ebp = 0xab4fddf8   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0x8aec469c   edi = 0xaa3bc100
12:13:41     INFO -      Found by: call frame info
12:13:41     INFO -   3  libxul.so!mozilla::layers::ImageClientSingle::UpdateImage(mozilla::layers::ImageContainer*, unsigned int) [ImageClient.cpp:bffb1d563196 : 165 + 0xc]
12:13:41     INFO -      eip = 0xb395462b   esp = 0xab4fde00   ebp = 0xab4fde28   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0xaa3bc100   edi = 0xb761ca4c
12:13:41     INFO -      Found by: call frame info
12:13:41     INFO -   4  libxul.so!mozilla::layers::UpdateImageClientNow [ImageBridgeChild.cpp:bffb1d563196 : 396 + 0xe]
12:13:41     INFO -      eip = 0xb39834ab   esp = 0xab4fde30   ebp = 0xab4fde68   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0xaa3bc100   edi = 0xb761ca4c
12:13:41     INFO -      Found by: call frame info
12:13:41     INFO -   5  libxul.so!RunnableFunction<void (*)(mozilla::layers::ImageClient*, mozilla::layers::ImageContainer*), Tuple2<mozilla::layers::ImageClient*, nsRefPtr<mozilla::layers::ImageContainer> > >::Run() [tuple.h:bffb1d563196 : 454 + 0x9]
12:13:41     INFO -      eip = 0xb397fc6c   esp = 0xab4fde70   ebp = 0xab4fde88   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0x8aec05c0   edi = 0xab4fe050
12:13:41     INFO -      Found by: call frame info
12:13:41     INFO -   6  libxul.so!MessageLoop::RunTask(Task*) [message_loop.cc:bffb1d563196 : 357 + 0x8]
12:13:41     INFO -      eip = 0xb345fea0   esp = 0xab4fde90   ebp = 0xab4fdec8   ebx = 0xb75a0e20
12:13:41     INFO -      esi = 0x8aec05c0   edi = 0xab4fe050
12:13:41     INFO -      Found by: call frame info
I think we should disable that test on E10s for now.  I can believe there are some issues to resolve with capturing/sharing screens in an E10S configuration.
(Reporter)

Comment 2

4 years ago
Disabled test_peerConnection_basicScreenshare.html and test_peerConnection_basicWindowshare.html on e10s.
https://hg.mozilla.org/integration/mozilla-inbound/rev/8ca82f7e965c
Whiteboard: [test disabled on e10s][leave open]

Comment 3

4 years ago
(In reply to Randell Jesup [:jesup] from comment #1)
> I think we should disable that test on E10s for now.  I can believe there
> are some issues to resolve with capturing/sharing screens in an E10S
> configuration.

Hey jesup, what front end feature would this be associated with? Do we need to file an e10s specific bug to get whatever this is related too working with e10s? (We're just a few months away from turning e10s on by default on nightly.)

Updated

4 years ago
Flags: needinfo?(rjesup)
Blocks: 984139
tracking-e10s: --- → ?
This would block window and screensharing in webrtc apps.  Window and screensharing is going to be a significant feature for fx33
Flags: needinfo?(rjesup)
tracking-e10s: ? → +

Updated

4 years ago
Blocks: 849746
gcp  - does your most recent work resolve this? I believe it, but want to verify.
Rank: 21
Flags: needinfo?(gpascutto)
Priority: -- → P2
backlog: --- → webRTC+
I don't know. I didn't re-enable any disabled tests, I had enough problems getting the existing ones to go green.
Flags: needinfo?(gpascutto)
Comment hidden (Treeherder Robot)
Mass change P2->P3 to align with new Mozilla triage process.
Priority: P2 → P3

Comment 10

7 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 11

7 months ago
1 failures in 824 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 12

5 months ago
2 failures in 792 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2017-11-27&endday=2017-12-03&tree=all

Comment 13

4 months ago
1 failures in 462 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2018-01-01&endday=2018-01-07&tree=all

Comment 14

3 months ago
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2018-01-29&endday=2018-02-04&tree=all

Comment 15

2 months ago
1 failures in 675 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1048455&startday=2018-02-19&endday=2018-02-25&tree=all
You need to log in before you can comment on or make changes to this bug.